std::pointer_traits< _Ptr >(3cxx)

NAME
std::pointer_traits< _Ptr > - Uniform interface to all pointer-like types.

SYNOPSIS

#include <ptr_traits.h>

  Public Types

using difference_type
The type used to represent the difference between two pointers.
using pointer
The pointer type.
template<typename _Up> using rebind
A pointer to a different type.

Detailed Description

  template<typename _Ptr>
struct std::pointer_traits< _Ptr >"Uniform interface to all pointer-like types.

Member Typedef Documentation

  template<typename _Ptr> using std::pointer_traits< _Ptr >::difference_type

The type used to represent the difference between two pointers.

  template<typename _Ptr> using std::pointer_traits< _Ptr >::pointer

The pointer type.

  template<typename _Ptr> template<typename _Up> using std::pointer_traits< _Ptr >::rebind

A pointer to a different type.

Author

Generated automatically by Doxygen for libstdc++ from the source code.